import React from "react";
import { SidebarBox, ComponentBox, InfoBox } from "./styled";
export var Sidebar = function Sidebar(_ref) {
  var info = _ref.info,
    children = _ref.children,
    className = _ref.className,
    _ref$right = _ref.right,
    right = _ref$right === void 0 ? false : _ref$right;
  return /*#__PURE__*/React.createElement(ComponentBox, {
    isRight: right
  }, /*#__PURE__*/React.createElement(SidebarBox, {
    className: className,
    shadowSide: right
  }, children), /*#__PURE__*/React.createElement(InfoBox, null, info));
};